tigase.conf

## Enum ConfigReader.CompositeVariable.Operation

- java.lang.Object
- - java.lang.Enum<ConfigReader.CompositeVariable.Operation>
  - - tigase.conf.ConfigReader.CompositeVariable.Operation

- All Implemented Interfaces:
    Serializable, Comparable<ConfigReader.CompositeVariable.Operation>
  Enclosing class:
    ConfigReader.CompositeVariable

      public static enum ConfigReader.CompositeVariable.Operation
      extends Enum<ConfigReader.CompositeVariable.Operation>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `add`
    `divide`
    `multiply`
    `substract`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Number` | `execute(Number arg1, Number arg2)`
    `static ConfigReader.CompositeVariable.Operation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConfigReader.CompositeVariable.Operation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### multiply

          public static final ConfigReader.CompositeVariable.Operation multiply

    - #### divide

          public static final ConfigReader.CompositeVariable.Operation divide

    - #### add

          public static final ConfigReader.CompositeVariable.Operation add

    - #### substract

          public static final ConfigReader.CompositeVariable.Operation substract

  - ### Method Detail

    - #### values

          public static ConfigReader.CompositeVariable.Operation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConfigReader.CompositeVariable.Operation c : ConfigReader.CompositeVariable.Operation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConfigReader.CompositeVariable.Operation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### execute

          public Number execute(Number arg1,
                                Number arg2)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.